﻿using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;

namespace Hotline.Share.Requests.TestPaper
{
    public record TestPaperPagedRequest:PagedRequest,IQueryRequest
    {
        public string Code { get; set; }

        public string Name { get; set; }

        public EExamType? ExamType { get; set; }

        public EExamMode? ExamMode { get; set; }

        public EPublicStatus? Status { get; set; }
    }
}
